Page MenuHomePhabricator

create a test wiki for RTL development
Closed, DeclinedPublic

Description

Following an email conversation with Mark Hershberger and Sumana Harihareswara, i request a full-fledged wiki for testing RTL features. Such a wiki is created every now and then as an "Arabic prototype" from the time of the Vector deployment or some such, but the reality is that such wikis are usually not maintained and are neglected after it served some purpose. This new wiki should get at least the same amount of care as test.wikipedia.org.

It may run code from the trunk or something close to it and be used for testing new MediaWiki versions before deployment. It can be used for testing new features, extensions and translations that need special testing in RTL environment.

Just as a reminder, neither translatewiki.net nor test.wikipedia.org can be used for this, because they are LTR wikis, at least until bug 6100 is resolved.

This wiki will be useful for many languages - Arabic, Persian, Hebrew, Divehi and others. If it's possible, then the default interface language for this wiki should be English, but if defining English as the interface language forces LTR directionality, then it should be Arabic - i suppose that it is the RTL language with the highest demand.


Version: unspecified
Severity: enhancement

Details

Reference
bz29339

Event Timeline

bzimport raised the priority of this task from to High.Nov 21 2014, 11:30 PM
bzimport set Reference to bz29339.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Jun 10 2011, 4:23 PM

There *is* English that is set to be in RTL in MediaWiki. I believe we can use that to run this wiki, but it needs a fallback though...

brion added a comment.Jun 10 2011, 6:04 PM

test.wikipedia.org doesn't really get a lot of _care_... :) what sort of maintenance would you be expecting out of it?

If would be enough if it wouldn't be dysfunctional, as http://prototype.wikimedia.org/release-ar often is. For example, its search index seems out of date. (Try searching it for "article"; you won't find anything, even though this word appears on the page "ABCDE".)

If http://prototype.wikimedia.org/release-ar will get as much care as test.wikipedia.org, then a new wiki is not needed.

(In reply to comment #3)

If http://prototype.wikimedia.org/release-ar will get as much care as
test.wikipedia.org, then a new wiki is not needed.

We'll be moving all of these prototype and test wiki's to Ryan's virtualization thing once it's set up, right?

demon added a comment.Jun 14 2011, 7:44 PM

(In reply to comment #4)

(In reply to comment #3)

If http://prototype.wikimedia.org/release-ar will get as much care as
test.wikipedia.org, then a new wiki is not needed.

We'll be moving all of these prototype and test wiki's to Ryan's virtualization
thing once it's set up, right?

Well the ones worth saving, at least. I don't think we should just copy them over en masse.

Remove dependency on bug 6100. A Wikimedia test wiki in RTL is not required to get 6100 resolved. Test wikis can (and are) available elsewhere.

Thanks to the advent of the modern directionality improvement this is not needed any more and can be closed.

WONTFIX per comment 7 of the reporter.